Name: gkrellm
Version: 2.1.4
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Multiple stacked system monitors
Summary(ru_RU.KOI8-R):    
License: GPL
Group: Monitoring
Url: http://gkrellm.net/

Source0: http://web.wt.net/~billw/gkrellm/%name-%version.tar.bz2
Source1: gkrellm_16.xpm.bz2
Source2: gkrellm_32.xpm.bz2
Source3: gkrellm_48.xpm.bz2
Patch0: gkrellm-2.1.0-alt-fonts.patch.gz

# Automatically added by buildreq on Sun Dec 29 2002
BuildRequires: XFree86-devel XFree86-libs freetype2 glib2-devel libXft libatk-devel libexpat libfontconfig libgtk+2-devel libpango-devel pkgconfig

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%description -l ru_RU.KOI8-R
GKrellM       ,
 ,  .   
   ,  -, 
   ..

%package devel
Summary: gkrellm include files
Group: Development/Other
Requires: %name = %version

%description devel
gkrellm header files for gkrellm development and plugin support.

%prep
%setup -q
%patch0 -p0

%build
%make_build enable_nls=1

%install
mkdir -p %buildroot%prefix/bin
mkdir -p %buildroot%_libdir/gkrellm2/plugins
%make_install install INSTALLDIR=%buildroot%prefix/bin INCLUDEDIR=%buildroot%_includedir MANDIR=%buildroot%_man1dir enable_nls=1 INSTALL_PREFIX=%buildroot

mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_liconsdir
mkdir -p %buildroot%_miconsdir

bzcat %SOURCE2 > %buildroot%_iconsdir/gkrellm.xpm
bzcat %SOURCE3 > %buildroot%_liconsdir/gkrellm.xpm
bzcat %SOURCE1 > %buildroot%_miconsdir/gkrellm.xpm

(cd %buildroot
mkdir -p .%_menudir
cat > .%_menudir/%name <<EOF
?package(%name):\
command="%prefix/bin/gkrellm"\
title="Gkrellm"\
longtitle="a gtk-based monitoring app"\
needs="x11"\
section="Applications/Monitoring" \
icon="gkrellm.xpm"
EOF
)
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc COPYRIGHT Changelog INSTALL README *.html
%_bindir/*
%_man1dir/*
%_libdir/menu/*
%dir %_libdir/gkrellm2
%_libdir/gkrellm2/*
%_iconsdir/gkrellm.xpm
%_liconsdir/gkrellm.xpm
%_miconsdir/gkrellm.xpm

%files devel
%dir %_includedir/gkrellm2
%_includedir/gkrellm2/*

%changelog
* Sun Dec 29 2002 Grigory Batalov <bga@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Dec 10 2002 Grigory Batalov <bga@altlinux.ru> 2.1.3-alt1
- 2.1.3
- ru.po update

* Mon Dec 02 2002 Grigory Batalov <bga@altlinux.ru> 2.1.2-alt1
- 2.1.2
- ru.po updated

* Mon Oct 21 2002 Grigory Batalov <bga@altlinux.ru> 2.1.0-alt1
- 2.1.0 (Gtk+2 version)
- ru.po updated

* Fri Aug 23 2002 Grigory Batalov <bga@altlinux.ru> 1.2.13-alt1
- 1.2.13
- specfile translated

* Sat May 11 2002 Grigory Batalov <bga@altlinux.ru> 1.2.11-alt2
- large/mini icons swaped

* Fri Apr 12 2002 Grigory Batalov <bga@altlinux.ru> 1.2.11-alt1
- 1.2.11
- ru.po updated

* Mon Feb 18 2002 Grigory Batalov <bga@altlinux.ru> 1.2.9-alt1
- 1.2.9

* Sat Jan  5 2002 Grigory Batalov <bga@altlinux.ru> 1.2.7-alt1
- 1.2.7
- ru.po updated

* Fri Dec  7 2001 Grigory Batalov <bga@altlinux.ru> 1.2.5-alt1
- 1.2.5
- ru.po updated
- default fonts changed to system "fixed"

* Fri Nov 23 2001 Grigory Batalov <bga@altlinux.ru> 1.2.4-alt2
- NLS enabled and ru.po added

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Aug 24 2001 Rider <rider@altlinux.ru>
- 1.2.2

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Mon Jan 08 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Nov  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-2mdk
- rebuild for new libstdc++

* Thu Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Fri Oct 06 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-3mdk
- added missing icons

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10.5-2mdk
- automatically added BuildRequires

* Mon Aug 07 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- 0.10.5
- more macros
- added requires version for gkrellm-devel
- move include dir from /usr/X11R6/include to /usr/include

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- macroization
- move plugins to their own RPM
- add devel package

* Wed Jul 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10.2-1mdk
- v 0.10.2

* Wed May 24 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10
- bzip2 patches
- comment out all plugins since they refuse to compile

* Tue Apr 25 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8
- Added gkrellmms plugin by Sander Lebbink <sander@cerberus.demon.nl>

* Mon Apr 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- fix group
- add menu entry

* Fri Mar 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.7

* Sun Mar 12 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.6
- Added seti@home plugin by Henry Palonen <henkka@yty.net>
- Added plugin to to display fan speeds by Jarkko Lietolahti <jappe@iki.fi>
- since plugins (currently) need to be in ~/.gkrellm/plugins, you must
  symlink to the plugins in /usr/share/gkrellm/plugins

* Fri Mar 3 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.5

* Mon Feb 28 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.4
- libgtop is no longer required

* Thu Feb 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.3

* Wed Feb 23 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.1

* Tue Feb 22 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.0
- libgtop-devel is now required but it seems to be broken as the
  glibtop-config.h is in /usr/lib/libgtop/include and not /usr/include/ like
  it should be (you must manually copy before building the RPM)

* Sun Feb 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.8.1

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- 0.7.5

* Fri Nov 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contrib
- Used the SRPMS provided by Vincent Danen
- bz2 archive
- 0.7.4

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- 0.7.3
